services:
  reader:
    image: hectorqin/reader:3.2.14
    container_name: ${CONTAINER_NAME}
    restart: always
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    networks:
      - opsmind-network
    volumes:
      - ./data/logs:/logs
      - ./data/storage:/storage
    environment:
      - SPRING_PROFILES_ACTIVE=prod
      - READER_APP_USERLIMIT=${READER_APP_USERLIMIT}
      - READER_APP_USERBOOKLIMIT=${READER_APP_USERBOOKLIMIT}
      - READER_APP_CACHECHAPTERCONTENT=${READER_APP_CACHECHAPTERCONTENT}
      - READER_APP_SECURE=${READER_APP_SECURE:-FALSE}
      - READER_APP_SECUREKEY=${READER_APP_SECUREKEY}
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true